Package com.io7m.idstore.server.http

# Class IdPlainErrorHandler

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.util.component.ContainerLifeCycle
org.eclipse.jetty.server.handler.AbstractHandler
org.eclipse.jetty.server.handler.ErrorHandler
com.io7m.idstore.server.http.IdPlainErrorHandler

All Implemented Interfaces:
  `org.eclipse.jetty.server.Handler`, `org.eclipse.jetty.util.component.Container`, `org.eclipse.jetty.util.component.Destroyable`, `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`, `org.eclipse.jetty.util.component.LifeCycle`

public final class IdPlainErrorHandler extends org.eclipse.jetty.server.handler.ErrorHandler
A simple error handler.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.ErrorHandler

  `org.eclipse.jetty.server.handler.ErrorHandler.ErrorPageMapper`

  ## Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.AbstractHandler

  `org.eclipse.jetty.server.handler.AbstractHandler.ErrorDispatchHandler`

  ## Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

  ## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

  `org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

  ## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

  `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

  ## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

  `org.eclipse.jetty.util.component.LifeCycle.Listener`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jetty.server.handler.ErrorHandler

  `ERROR_CHARSET, ERROR_CONTEXT, ERROR_PAGE`

  ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `FAILED, STARTED, STARTING, STOPPED, STOPPING`

  ### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdPlainErrorHandler()`
  A simple error handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(String target, org.eclipse.jetty.server.Request baseRequest, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

  ### Methods inherited from class org.eclipse.jetty.server.handler.ErrorHandler

  `badMessageError, errorPageForMethod, generateAcceptableResponse, generateAcceptableResponse, getAcceptableWriter, getCacheControl, getErrorHandler, getShowMessageInTitle, handleErrorPage, isShowServlet, isShowStacks, setCacheControl, setShowMessageInTitle, setShowServlet, setShowStacks, write, writeErrorPage, writeErrorPageBody, writeErrorPageHead, writeErrorPageMessage, writeErrorPageStacks`

  ### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

  `destroy, doError, doStart, doStop, getServer, setServer`

  ### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

  `addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dumpObjects, dumpStdErr, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, start, stop, unmanage, updateBean, updateBean, updateBeans, updateBeans`

  ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, setEventListeners, start, stop, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Container

  `getCachedBeans, getEventListeners`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

  `dumpSelf`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

  `isDumpable`

  ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

  `addEventListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeEventListener, start, stop`

- ## Constructor Details

  - ### IdPlainErrorHandler

    public IdPlainErrorHandler()
    A simple error handler.

- ## Method Details

  - ### handle

    public void handle(String target, org.eclipse.jetty.server.Request baseRequest, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
    Specified by:
      `handle` in interface `org.eclipse.jetty.server.Handler`
    Overrides:
      `handle` in class `org.eclipse.jetty.server.handler.ErrorHandler`
    Throws:
      `IOException`